Subject: Re: [PATCH] EtherIP tunnel driver (RFC 3378)

From: Philip Craig <[email-masked]>
Date: Thu, 14 Sep 2006 11:21:22 +1000

Joerg Roedel wrote:
> +	 To configure tunnels an extra tool is required. You can download
> +	 it from http://zlug.fh-zwickau.de/~joro/projects/ under the
> +	 EtherIP section. If unsure, say N.

To obtain a list of tunnels, this tool calls SIOCGETTUNNEL
(SIOCDEVPRIVATE + 0) for every device in /proc/net/dev. I don't think
this is safe, but I don't have a solution for you.

Is there a reason why you have a separate tool rather than modifying
iproute2?

I don't know if you are aware of this older etherip patch by Lennert
Buytenhek: http://www.wantstofly.org/~buytenh/etherip/